EndpointURI (Mule ESB 2.2.1 API)
Keywords: org.mule.api.endpoint.EndpointURI interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.endpoint
Interface EndpointURI

All Superinterfaces:
  Initialisable, Serializable

All Known Implementing Classes:
  MuleEndpointURI

    public interface EndpointURI

extends Serializable, Initialisable

`EndpointURI` is used to determine how a message is sent or received. The url defines the protocol, the endpointUri destination of the message and optionally the endpoint to use when dispatching the event. Mule urls take the form of - protocol://[host]:[port]/[provider]/endpointUri or protocol://[host]:[port]/endpointUri i.e. vm://my.object or The protocol can be any of any conector registered with Mule. The endpoint name if specified must be the name of a register global endpoint The endpointUri can be any endpointUri recognised by the endpoint type.

Field Summary
`static String` | `PROPERTY_CONNECTOR_NAME`
`static String` | `PROPERTY_ENDPOINT_NAME`
`static String` | `PROPERTY_ENDPOINT_URI`
`static String` | `PROPERTY_RESPONSE_TRANSFORMERS`
`static String` | `PROPERTY_TRANSFORMERS`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Method Summary
`String` | `getAddress()`
`String` | `getAuthority()`
`String` | `getConnectorName()`
`String` | `getEndpointName()` Deprecated. This property is used by endpoint-identifiers, global-endpoints use ImmutableEndpoint.getName()
`String` | `getFilterAddress()`
`String` | `getFullScheme()`
`String` | `getHost()`
`Properties` | `getParams()`
`String` | `getPassword()`
`String` | `getPath()`
`int` | `getPort()`
`String` | `getQuery()`
`String` | `getResourceInfo()`
`String` | `getResponseTransformers()`
`String` | `getScheme()`
`String` | `getSchemeMetaInfo()`
`String` | `getTransformers()`
`URI` | `getUri()`
`String` | `getUser()`
`String` | `getUserInfo()`
`Properties` | `getUserParams()` A reduced version of getParams() - drops some system parameters
`void` | `setEndpointName(String name)` Deprecated. This property is used by endpoint-identifiers, global-endpoints use ImmutableEndpoint.getName()

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Field Detail

### PROPERTY_ENDPOINT_NAME

    static final String PROPERTY_ENDPOINT_NAME

See Also:
  Constant Field Values

### PROPERTY_ENDPOINT_URI

    static final String PROPERTY_ENDPOINT_URI

See Also:
  Constant Field Values

### PROPERTY_CONNECTOR_NAME

    static final String PROPERTY_CONNECTOR_NAME

See Also:
  Constant Field Values

### PROPERTY_TRANSFORMERS

    static final String PROPERTY_TRANSFORMERS

See Also:
  Constant Field Values

### PROPERTY_RESPONSE_TRANSFORMERS

    static final String PROPERTY_RESPONSE_TRANSFORMERS

See Also:
  Constant Field Values

Method Detail

### getAddress

    String getAddress()

### getFilterAddress

    String getFilterAddress()

### getEndpointName

    String getEndpointName()

  Deprecated. This property is used by endpoint-identifiers, global-endpoints use ImmutableEndpoint.getName()

### setEndpointName

    void setEndpointName(String name)

  Deprecated. This property is used by endpoint-identifiers, global-endpoints use ImmutableEndpoint.getName()

### getParams

    Properties getParams()

### getUserParams

    Properties getUserParams()

  A reduced version of getParams() - drops some system parameters

### getScheme

    String getScheme()

### getSchemeMetaInfo

    String getSchemeMetaInfo()

### getFullScheme

    String getFullScheme()

### getAuthority

    String getAuthority()

### getHost

    String getHost()

### getPort

    int getPort()

### getPath

    String getPath()

### getQuery

    String getQuery()

### getUserInfo

    String getUserInfo()

### getTransformers

    String getTransformers()

### getResponseTransformers

    String getResponseTransformers()

### getUri

    URI getUri()

### getConnectorName

    String getConnectorName()

### getResourceInfo

    String getResourceInfo()

### getUser

    String getUser()

### getPassword

    String getPassword()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.